WHMCS - Bug # 214: Errors showing in client area after installing

Status: Resolved Priority: High

Author: Thomas Category:

Created: 01 May 2013 Assignee:

Updated: 27 Feb 2014 Due date:

Subject: Errors showing in client area after installing

Description: | am running 5.2.4 WHMCS and 4.53.2633 Kayako. Already checked the files and the swift modifications
were already made in the version of Kayako so there is nothing for me to edit. | have tried multiple times
uploading the plugin however it results in a huge paragraph of errors everytime.
Fatal error: Uncaught exception 'Exception’ with message 'String could not be parsed as XML' in
/home/whmcs/public_html/modules/support/kayako/API/kyHelpers.php:31 Stack trace: #0
/home/whmcs/public_html/modules/support/kayako/API/kyHelpers.php(31):
SimpleXMLElement->__construct('<br [>?<b>Fatal...") #1
/home/whmcs/public_html/modules/support/kayako/API/kyRESTClient.php(203): ky_xml_to_array('<br
[>?<b>Fatal...") #2 /home/whmcs/public_html/modules/support/kayako/API/kyRESTClient.php(221):
kyRESTClient->processRequest('/Tickets/Ticket', 'GET, Array) #3
/home/whmcs/public_html/modules/support/kayako/API/kyObjectBase.php(196):
kyRESTClient->get('/Tickets/Ticket', Array) #4
/home/whmcs/public_html/modules/support/kayako/API/kyTicket.php(692): kyObjectBase::getAll(Array) #5
/home/whmcs/public_html/modules/support/kayako/fetchOpenTickets.php(51):
kyTicket::getAll(Object(kyResultSet), Object(kyResultSet)) #6
/home/whmcs/public_html/includes/hooks/hooks.php(40): include_once('/home/whmcs/pub...") #7
/home/whmcs/public_html/inclu in /home/whmcs/public_html/modules/support/kayako/API/kyHelpers.php on
line 31

History

05/01/2013 10:48 pm - Amarjeet Kaur

Hi Thomas,

We need to check the files to trace the issue.

Request you to provide your ftp details of both WHMCS and Helpdesk at [[https://my.kayako.com]]

Thank you,

Amarjeet Kaur

05/02/2013 12:39 am - Satish Pandilwar

Same version of whmcs, Kayako here . Getting the same error !!

the apache error log shows Memory allocation error before this error.

PHP  Fatal

Allowed memory size of 2147483648 bytes exhausted (tried to allocate 24411554 bytes) in

/home/XXXXX/public_html/esupportv4/__swift/library/XML/class.SWIFT_XML.php on line 92

| tried the 115-emaiil filter patch but the error continues.

Thanks,
satish

05/02/2013 09:06 am - Thomas
However juding by the comment from Satish it would appear this very well might be a bug. Amarjeet, have you tested WHMCS v5.2.4 with the latest

kayako version to confirm that it works?

05/09/2013 01:14 am - Satish Pandilwar

i haven't raised a ticket . Amarjeet, any updates on this ticket / issue would be helpful.

05/09/2013 04:32 am - Amarjeet Kaur
Hi Satish,

Kindly check this issue [[http://forge.kayako.com/issues/145]]

If still this issue, does not resolve at your end, then kindly create a ticket for it.

Thank you,
Amarjeet Kaur

02/27/2014 01:03 am - Mansi Wason
- Status changed from New to Closed

The issue has been resolved and the fix for it can be found in the latest WHMCS release version v01.00.03

02/27/2014 04:30 am - Mansi Wason

- Status changed from Closed to Resolved

06 Apr 2025 2/2



